# The mysqli_warning class

(PHP 5, PHP 7)

## Introduction

Represents a MySQL warning.

## Class synopsis

mysqli_warning {
/* Properties */
public $message ;
public $sqlstate ;
public $errno ;
/* Methods */
protected __construct ( void )
public next ( void ) : bool
}

## Properties

message

  Message string

sqlstate

  SQL state

errno

  Error number

## Table of Contents

- mysqli_warning::__construct — The __construct purpose
- mysqli_warning::next — Fetch next warning